// Metric: 0 - Chars or 6 - Pixels only
/*
   Ken Mayer
   04/13/1998

   TimeEntryField -- allows only valid "time" values for
   24 hour time ... if a user attempts anything else, this
   acts like standard 'date' validation -- it clears out the
   bad value after giving a message ...

*/
class TIMEENTRYFIELD(parentObj) of ENTRYFIELD(parentObj) custom
   with (this)
      height = 1
      left = 8.6667
      top = 3.84
      width = 8
      metric = 0	// Chars
      picture = "99:99:99"
      speedTip = "Enter a time string in 24 hour time"
      value = ""
   endwith

   function onDesignOpen( lFromPalette )
      if lFromPalette and form.metric == 6 // Pixels
         this.height := 22
         this.width  := 56
      endif
   return

   function onLostFocus
      nHours = val( left( this.value, 2 ) )
      nMinutes = val( substr( this.value, 4,2 ) )
      nSeconds = val( right( this.value, 2 ) )
      if nHours < 0 or nHours > 23
         this.value = "  :  :  "
         msgbox( "Enter a value from 0-23", "Invalid Hour" )
         this.setfocus()
      endif
      if nMinutes < 0 or nMinutes > 59
         this.value = "  :  :  "
         msgbox( "Enter a value from 0 to 59", "Invalid Minutes" )
         this.setFocus()
      endif
      if nSeconds < 0 or nSeconds > 59 
         this.value = "  :  :  "
         msgbox( "Enter a value from 0 to 59", "Invalid Seconds" )
         this.setfocus()
      endif
   return
endclass
